﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Razor_DataAnnotation_Validation.Models;

namespace Razor_DataAnnotation_Validation.Pages
{
    public class IndexModel : PageModel
    {
        public PersonModel Person { get; set; }
        public void OnGet()
        {
        }

        public void OnPostSubmit(PersonModel person)
        {
            if (ModelState.IsValid)
            {
                ViewData["Name"] = person.Name;
            }
        }
    }
}